summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMamoru Komachi <usata@gentoo.org>2003-09-21 21:13:45 +0000
committerMamoru Komachi <usata@gentoo.org>2003-09-21 21:13:45 +0000
commit36318199afe7aababde456d44b13487b1b1571e4 (patch)
treea5b02411c21d0940fa556d0aed3eb842d005dc02 /eclass
parentversion bump #29219 (diff)
downloadgentoo-2-36318199afe7aababde456d44b13487b1b1571e4.tar.gz
gentoo-2-36318199afe7aababde456d44b13487b1b1571e4.tar.bz2
gentoo-2-36318199afe7aababde456d44b13487b1b1571e4.zip
Reversed the order of Makefile and install.rb for the sake of ReFe (not added to Portage tree yet)
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ruby.eclass8
1 files changed, 4 insertions, 4 deletions
diff --git a/eclass/ruby.eclass b/eclass/ruby.eclass
index 465a1e0b7243..2bfbcc52ddad 100644
--- a/eclass/ruby.eclass
+++ b/eclass/ruby.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ruby.eclass,v 1.3 2003/09/12 11:56:04 twp Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ruby.eclass,v 1.4 2003/09/21 21:13:45 usata Exp $
#
# Author: Mamoru KOMACHI <usata@gentoo.org>
#
@@ -39,13 +39,13 @@ ruby_src_compile() {
ruby_src_install() {
local siteruby rdbase=/usr/share/doc/${PF}/rd
- if [ -f extconf.rb -o -f Makefile ] ; then
- einstall DESTDIR=${D} || die "einstall failed"
- elif [ -f install.rb ] ; then
+ if [ -f install.rb ] ; then
ruby install.rb config --prefix=${D}/usr \
|| die "install.rb config failed"
ruby install.rb install \
|| die "install.rb install failed"
+ elif [ -f extconf.rb -o -f Makefile ] ; then
+ einstall DESTDIR=${D} || die "einstall failed"
else
siteruby=$(ruby -r rbconfig -e 'print Config::CONFIG["sitelibdir"]')
insinto ${siteruby}/${PN}